Cyberduck Mountain Duck CLI

#6366 closed enhancement (fixed)

Amazon S3 server-side encryption selectable in options

Reported by: mikk Owned by: dkocher
Priority: low Milestone: 4.2
Component: s3 Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

Hi!

New 4.1.4 version has support Amazon S3 server-side encryption.

My suggest, new options in preferences/s3: server side encryption enabled/disabled.

Thanks.

Change History (9)

comment:1 follow-up: Changed on Nov 14, 2011 at 1:12:15 PM by dkocher

  • Milestone set to 4.1.4

The preference is only available in the Mac version as of now.

comment:2 in reply to: ↑ 1 ; follow-up: Changed on Nov 15, 2011 at 3:31:01 PM by mikk

Replying to dkocher:

The preference is only available in the Mac version as of now.

Hi!

Do you plan this option on PC version? (GUI or hidden options)

Thanks.

comment:3 in reply to: ↑ 2 Changed on Nov 15, 2011 at 4:59:11 PM by dkocher

Replying to mikk:

Replying to dkocher:

The preference is only available in the Mac version as of now.

Hi!

Do you plan this option on PC version? (GUI or hidden options)

Thanks.

Yes, this is scheduled for 4.1.4.

comment:4 Changed on Nov 23, 2011 at 7:29:51 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r9303.

comment:5 Changed on Nov 25, 2011 at 9:17:41 AM by mikk

  • Resolution fixed deleted
  • Status changed from closed to reopened

Hi!

Tested, but only partially working, on Windows.

I see encryption information under AWS console/properties. https://console.aws.amazon.com/s3/

With small file, AES sttings is works, example file size about 1MB.

If file size is 10MB or bigger, AES settings is lost. With other app, example S3 borwser, this settings is works if file size is 10MB, 100MB etc.

Tested on 9305 nightly version.

Last edited on Nov 25, 2011 at 9:20:10 AM by mikk (previous) (diff)

comment:6 follow-up: Changed on Nov 25, 2011 at 9:21:11 AM by dkocher

Can you please post the transcript from the log drawer of the Transfers window (Right click in the toolbar to toggle the transcript).

comment:7 in reply to: ↑ 6 Changed on Nov 25, 2011 at 9:33:13 AM by mikk

Replying to dkocher:

Can you please post the transcript from the log drawer of the Transfers window (Right click in the toolbar to toggle the transcript).

Okay, Authorization line removed, upload file size is 10MB.

GET / HTTP/1.1
Date: Fri, 25 Nov 2011 09:25:12 GMT
Authorization: -
Host: s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9305) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: QqwOpbNtpI/deUfYnrKC73sGyh7+TV2RZEDsDZfjdbhC337epNFq4JewOl3a0rJv
x-amz-request-id: 036BCCB502936BE3
Date: Fri, 25 Nov 2011 09:25:11 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Fri, 25 Nov 2011 09:25:12 GMT
Authorization: -
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9305) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: RWsVCpsh9YY7NBPldrIl5JnvHRha/GagJvYPRFNlr4wFoD7akWoqJ8MsqnXEfMIM
x-amz-request-id: E88D894FBD88A3AE
Date: Fri, 25 Nov 2011 09:25:11 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 25 Nov 2011 09:25:12 GMT
Authorization: -
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9305) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: fJ4tyDNxsMg7EbFjWPGiYnStFHBO6oHtWRf1r+t1dYLnamdOj0y+jWKa6idM+KrZ
x-amz-request-id: 5AB8190277E5FF28
Date: Fri, 25 Nov 2011 09:25:12 GMT
Transfer-Encoding: chunked
Server: AmazonS3
POST /TestFile%2010MB.dat?uploads HTTP/1.1
Date: Fri, 25 Nov 2011 09:25:13 GMT
x-amz-storage-class: STANDARD
Content-Type: application/octet-stream
Authorization: -
Content-Length: 0
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9305) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: gq/7VmrhlzfT9LEYd+xSdqhUB4HFOji+aKuKKoWBDgy2vRCsMpxQxgDUysJY4r6H
x-amz-request-id: 9E6E831E9E43476A
Date: Fri, 25 Nov 2011 09:25:12 GMT
Transfer-Encoding: chunked
Server: AmazonS3
PUT /TestFile%2010MB.dat?uploadId=Iv1EMDopyPywrmop84RP.ILSdf6N9qFd3nB6cV49dA4uX9YIxAwygkIxXuRegQVygJ7mM98BAQQBjloMQHuKgA--&partNumber=2 HTTP/1.1
Date: Fri, 25 Nov 2011 09:25:13 GMT
Content-Type: application/octet-stream
Authorization: -
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9305) (Windows 7/6.1) (x86)
Expect: 100-continue
PUT /TestFile%2010MB.dat?uploadId=Iv1EMDopyPywrmop84RP.ILSdf6N9qFd3nB6cV49dA4uX9YIxAwygkIxXuRegQVygJ7mM98BAQQBjloMQHuKgA--&partNumber=1 HTTP/1.1
Date: Fri, 25 Nov 2011 09:25:13 GMT
Content-Type: application/octet-stream
Authorization: -
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9305) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: EdxgROEFJH0RmOpSiVPMN4tiYODV+XwjbS4ckn6nvZblGFOxrK0n2t1CHkG9On2K
x-amz-request-id: A279DC5412FE1D6D
Date: Fri, 25 Nov 2011 09:25:12 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
Content-Length: 0
Server: AmazonS3
HTTP/1.1 200 OK
x-amz-id-2: AJTaiNOADLJdudowxQrJ+hIWLanfOYPPduup75LS9cOYXAPFz7O3STURLVKOBg6B
x-amz-request-id: 19784F1A3D2DA641
Date: Fri, 25 Nov 2011 09:25:12 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
Content-Length: 0
Server: AmazonS3
POST /TestFile%2010MB.dat?uploadId=Iv1EMDopyPywrmop84RP.ILSdf6N9qFd3nB6cV49dA4uX9YIxAwygkIxXuRegQVygJ7mM98BAQQBjloMQHuKgA-- HTTP/1.1
Date: Fri, 25 Nov 2011 09:25:23 GMT
Content-Type: text/plain
Authorization: -
Content-Length: 321
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9305) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: fv7QIp4KTa9CoPL1dTYi+47q/g2P4IvxjbBPPBYoiuB8ismEjUC954YClnjjMQEK
x-amz-request-id: 236B0B586ECF5869
Date: Fri, 25 Nov 2011 09:25:22 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3

comment:8 follow-up: Changed on Nov 25, 2011 at 9:55:23 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Was missing the header for multipart uploads. Fixed in r9315.

comment:9 in reply to: ↑ 8 Changed on Nov 25, 2011 at 2:41:38 PM by mikk

Replying to dkocher:

Was missing the header for multipart uploads. Fixed in r9315.

Confirmed, tested on Windows, version is 9319. Thanks.

Note: See TracTickets for help on using tickets.
swiss made software